/*
 * Copyright (C) 2020-2022 Roy Qu (royqh1979@gmail.com)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
#include "signalmessagedialog.h"
#include "ui_signalmessagedialog.h"

SignalMessageDialog::SignalMessageDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::SignalMessageDialog)
{
    ui->setupUi(this);
}

SignalMessageDialog::~SignalMessageDialog()
{
    delete ui;
}

void SignalMessageDialog::setMessage(const QString &message)
{
    ui->lblMessage->setText(message);
}

bool SignalMessageDialog::openCPUInfo()
{
    return ui->chkOpenCPUInfo->isChecked();
}

void SignalMessageDialog::setOpenCPUInfo(bool value)
{
    ui->chkOpenCPUInfo->setChecked(value);
}
